Bug 482958 - Tasque becomes unresponsive when attempting to connect to Remember the Milk
Tasque becomes unresponsive when attempting to connect to Remember the Milk
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: tasque (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: David Kaylor
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 19:51 EST by David Nielsen
Modified: 2010-12-05 02:01 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-05 02:01:46 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Nielsen 2009-01-28 19:51:52 EST
Description of problem:
The Tasque window greys out and becomes unresponsive when clicking the "click Here to connect" link.

The following terminal output is available:

** Running Mono with --debug    **

** (Tasque:11501): WARNING **: Symbol file /usr/lib64/mono/gac/NDesk.DBus.GLib/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.GLib.dll.mdb has incorrect version (expected 50.0, got 39)

** (Tasque:11501): WARNING **: Symbol file /usr/lib64/mono/gac/NDesk.DBus/1.0.0.0__f6716e4f9b2ed099/NDesk.DBus.dll.mdb has incorrect version (expected 50.0, got 39)
[Debug]: Tasque remote control active.
[Debug]: Backend specified: --debug
[Debug]: Found Available Backend: Tasque.Backends.RtmBackend.RtmBackend
[Debug]: Found Available Backend: Tasque.Backends.Sqlite.SqliteBackend
[Debug]: Tasque.exe location:  /usr/lib64/tasque/Tasque.exe
[Info]: Searching for Backend DLLs in: /usr/lib64/tasque
[Info]: 	Reading /usr/lib64/tasque/RtmNet.dll
[Debug]: Storing 'Tasque.Backends.RtmBackend.RtmBackend' = 'Remember the Milk'
[Debug]: Storing 'Tasque.Backends.Sqlite.SqliteBackend' = 'Local File'
[Debug]: CurrentBackend specified in Preferences: 
[Info]: OnPreferences called
[Debug]: Loading preferences
[Debug]: Called Preferences Init
[Info]: Using backend: Remember the Milk (Tasque.Backends.RtmBackend.RtmBackend)
[Debug]: ThreadState: Unstarted
[Debug]: Backend sync finished
[Warn]: Cannot set status when taskWindow is null
[Debug]: Configuration status: False
[Debug]: Rtm: Not authorized
[Debug]: ThreadState: Stopped, AbortRequested
[Debug]: Backend sync finished
[Debug]: Backend sync finished
[Debug]: ThreadState: WaitSleepJoin, AbortRequested
[Debug]: Backend sync finished

And here it just sits forever...

Version-Release number of selected component (if applicable):
tasque-0.1.8-1.fc10.x86_64

How reproducible:
100%

Steps to Reproduce:
1. rm -rf ~./config/tasque
2. tasque --debug
3. set method as Remember the Milk
4. in second pane click the connect link
  
Actual results:
tasque becomes unresponsive

Expected results:
connection to RtM established.

Additional info:
x86_64, da_DK.UTF-8
Comment 1 David Kaylor 2009-01-29 21:33:24 EST
After deleting my config files, I experienced the same problem.  Also noticed the following:

The warnings come from files in the ndesk-dbus and ndesk-dbus-glib packages, both of which show fc9 as the release.

Downloading the source rpms for these packages and rebuilding them on my machine, then rebuilding tasque on my machine fixes the problem.
Comment 2 David Nielsen 2009-01-30 05:41:30 EST
I can confirm that on F10. Reaasigning to ndesk-dbus requesting a rebuild of both packages.
Comment 3 David Nielsen 2009-01-30 11:43:26 EST
Nope, strike that, it still does it even with recompiled ndesk-dbus packages
Comment 4 David Kaylor 2009-01-30 12:22:06 EST
Looks like recompiling ndesk-dbus is not working for me anymore either.  It eliminated the warnings and worked immediately after updating the packages.  The hang connecting to RTM has come back though.  I'll have to dig into this some more.

The most recent 0.1.7 build (http://koji.fedoraproject.org/koji/buildinfo?buildID=76153) seems to be working.
Comment 5 David Kaylor 2009-02-04 12:02:53 EST
Opened bug with the Tasque project: http://bugzilla.gnome.org/show_bug.cgi?id=570517
Comment 6 David Nielsen 2009-04-07 05:47:28 EDT
I found the following running on F11. 

[Debug]: Tasque remote control disabled (DBus exception): org.freedesktop.DBus.Error.AccessDenied: Connection ":1.201" is not allowed to own the service "org.gnome.Tasque" due to SELinux policy

Perhaps something which might concern this bug?
Comment 7 David Kaylor 2009-06-11 21:11:41 EDT
This particular problem occurs even if SELinux is disabled. Someone posted a workaround in the Gnome bug that works for me.  See the end of comment #18: http://bugzilla.gnome.org/show_bug.cgi?id=570517#c18
Comment 8 Bug Zapper 2009-11-18 05:54:08 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 9 Andrew Elwell 2010-01-22 03:41:56 EST
Still valid on F12 - same issue with latest (as of today - Jan 22) updates.
Comment 10 Lebenskuenstler 2010-07-19 23:22:38 EDT
Seems also to be valid in F13 (i686 and x86_64 as well).
Comment 11 Bug Zapper 2010-11-04 07:32:05 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 12 Bug Zapper 2010-12-05 02:01:46 EST
Fedora 12 changed to end-of-life (EOL) status on 2010-12-02. Fedora 12 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.